Package org.apache.jasper.tagplugins.jstl

## Class Util

- java.lang.Object
- - org.apache.jasper.tagplugins.jstl.Util

    public class Util
    extends java.lang.Object

Util contains some often used consts, static methods and embedded class to support the JSTL tag plugin.

### Nested Class Summary

Nested Classes
`static class` `Util.ImportResponseWrapper` Wraps responses to allow us to retrieve results as Strings.

### Field Summary

Fields
`static java.lang.String` `DEFAULT_ENCODING`

### Constructor Summary

Constructors
`Util()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `escapeXml​(char[] arrayBuffer, int length)`
`static java.lang.String` `escapeXml​(java.lang.String buffer)` Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> &amp; < -> &lt; > -> &gt; " -> &#034; ' -> &#039; See also OutSupport.writeEscapedXml().
`static java.lang.String` `getContentTypeAttribute​(java.lang.String input, java.lang.String name)` Get the value associated with a content-type attribute.
`static int` `getScope​(java.lang.String scope)` Converts the given string description of a scope to the corresponding PageContext constant.
`static boolean` `isAbsoluteUrl​(java.lang.String url)` Returns `true` if our current URL is absolute, `false` otherwise.
`static java.lang.String` `resolveUrl​(java.lang.String url, java.lang.String context, PageContext pageContext)` Utility methods taken from org.apache.taglibs.standard.tag.common.core.UrlSupport
`static java.lang.String` `stripSession​(java.lang.String url)` Strips a servlet session ID from `url`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

### Constructor Detail

#### Util

    public Util()

### Method Detail

#### getScope

    public static int getScope​(java.lang.String scope)

Converts the given string description of a scope to the corresponding PageContext constant. The validity of the given scope has already been checked by the appropriate TLV.

Parameters:
  `scope` - String description of scope
Returns:
  PageContext constant corresponding to given scope description taken from org.apache.taglibs.standard.tag.common.core.Util

#### isAbsoluteUrl

    public static boolean isAbsoluteUrl​(java.lang.String url)

Returns `true` if our current URL is absolute, `false` otherwise. taken from org.apache.taglibs.standard.tag.common.core.ImportSupport

Parameters:
  `url` - The URL
Returns:
  `true` if the URL is absolute

#### getContentTypeAttribute

    public static java.lang.String getContentTypeAttribute​(java.lang.String input,
                                                           java.lang.String name)

Get the value associated with a content-type attribute. Syntax defined in RFC 2045, section 5.1. taken from org.apache.taglibs.standard.tag.common.core.Util

Parameters:
  `input` - The attribute string
  `name` - The attribute name
Returns:
  the attribute value

#### stripSession

    public static java.lang.String stripSession​(java.lang.String url)

Strips a servlet session ID from `url`. The session ID is encoded as a URL "path parameter" beginning with "jsessionid=". We thus remove anything we find between ";jsessionid=" (inclusive) and either EOS or a subsequent ';' (exclusive). taken from org.apache.taglibs.standard.tag.common.core.ImportSupport

Parameters:
  `url` - The URL
Returns:
  the URL without a user submitted session id parameter

#### escapeXml

    public static java.lang.String escapeXml​(java.lang.String buffer)

Performs the following substring replacements (to facilitate output to XML/HTML pages): & -> &amp; < -> &lt; > -> &gt; " -> &#034; ' -> &#039; See also OutSupport.writeEscapedXml(). taken from org.apache.taglibs.standard.tag.common.core.Util

Parameters:
  `buffer` - Data to escape
Returns:
  escaped data

#### escapeXml

    public static java.lang.String escapeXml​(char[] arrayBuffer,
                                             int length)

#### resolveUrl

    public static java.lang.String resolveUrl​(java.lang.String url,
                                              java.lang.String context,
                                              PageContext pageContext)
                                       throws JspException

Utility methods taken from org.apache.taglibs.standard.tag.common.core.UrlSupport

Parameters:
  `url` - The URL
  `context` - The context
  `pageContext` - The page context
Returns:
  the absolute URL
Throws:
  `JspException` - If the URL doesn't start with '/'